Bug 1399867 - "Extend Reservation" modal on recipe page only supports seconds, not minutes or hours
Summary: "Extend Reservation" modal on recipe page only supports seconds, not minutes ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: Roman Joost
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: FutureFeature, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 23:32 UTC by Dan Callaghan
Modified: 2017-02-21 18:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:50:03 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Callaghan 2016-11-29 23:32:01 UTC
For editing a reservation request (before a recipe is reserved) we have a nice little thingy which allows me to enter a duration in either seconds, hours, or minutes. Once the recipe is reserved, there is a separate view for extending the reservation (click "Extend the reservation" on the reservation tab of the recipe page). Currently it only accepts seconds. It should use the same widget, so that I can enter a number of hours instead.

Comment 1 Roman Joost 2016-11-30 00:03:18 UTC
As it so happens, I've got a fix right here in my pocket:

  https://gerrit.beaker-project.org/5480

Comment 2 Roman Joost 2016-12-05 04:58:29 UTC
This bug fix is included in beaker-server-24.0-0.git.204.bf63e0d which is currently available for download here:

https://beaker-project.org/nightlies/develop/

Comment 4 Dan Callaghan 2017-02-21 18:50:03 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.